<?php

session_start();

include_once('../includes/global.php');
include_once('export_output.php');

function ExportList()
{
  global $Database;
  
  echo('<a href="?Action=ViewList">Všechny</a>');
  if(Licence(LICENCE_USER))
  {
    echo(' <a href="?Action=ViewList&amp;Filter=Others">Ostatních</a>');
    echo(' <a href="?Action=ViewList&amp;Filter=My">Moje</a>');
  }
  
  $Filter = '';
  if(array_key_exists('Filter', $_GET))
  {
    if($_GET['Filter'] == 'My') $Filter = ' WHERE `Export`.`User` = '.$_SESSION['UserID'];
    if($_GET['Filter'] == 'Others') $Filter = ' WHERE `Export`.`User` != '.$_SESSION['UserID'];
  }
  
  $DbResult = $Database->SQLCommand('SELECT COUNT(*) FROM `Export` '.$Filter);
  $DbRow = mysql_fetch_row($DbResult);
  $PageList = GetPageList($DbRow[0]);    

  echo('<h3>Seznam exportů</h3>');
  echo($PageList['Output']);

  $TableColumns = array(
    array('Name' => 'TimeCreate', 'Title' => 'Čas vytvoření'), 
    array('Name' => 'UserName', 'Title' => 'Překladatel'), 
    array('Name' => 'Title', 'Title' => 'Popis'), 
    array('Name' => 'UsedCount', 'Title' => 'Prohlédnutí výstupu'), 
    array('Name' => 'UserCount', 'Title' => 'Překladatelů'), 
    array('Name' => 'GroupCount', 'Title' => 'Překladových skupin'), 
    array('Name' => '', 'Title' => 'Akce'), 
  );  
  $Order = GetOrderTableHeader($TableColumns, 'TimeCreate', 1);
  echo('<table class="BaseTable">');
  echo($Order['Output']);

  $DbResult = $Database->SQLCommand('SELECT `user`.`user` AS `UserName`, `Export`.*, (SELECT COUNT(*) FROM ExportGroup WHERE ExportGroup.Export=Export.Id) AS GroupCount, (SELECT COUNT(*) FROM ExportUser WHERE ExportUser.Export=Export.Id) AS UserCount FROM `Export` LEFT JOIN `user` ON `user`.`ID`=`Export`.`User` '.$Filter.$Order['SQL'].$PageList['SQLLimit']);
  while($Export = mysql_fetch_assoc($DbResult))
  {
    $Action = '<a href="?Action=View&amp;ExportId='.$Export['Id'].'">Zobrazit</a>';
    if($Export['User'] == $_SESSION['UserID']) $Action .= ' <a href="?Action=Delete&amp;ExportId='.$Export['Id'].'" onclick="return confirmAction(\'Opravdu smazat položku?\');">Smazat</a>';
    echo('<tr><td>'.$Export['TimeCreate'].'</td><td>'.$Export['UserName'].'</td><td>'.$Export['Title'].'</td><td>'.$Export['UsedCount'].'</td><td>'.$Export['UserCount'].'</td><td>'.$Export['GroupCount'].'</td><td>'.$Action.'</td></tr>');
  }
  echo('</table>');
  echo($PageList['Output']);
    
  if(Licence(LICENCE_USER)) echo('<br/><div style="text-align: center;"><a href="?Action=Create">Vytvořit nový export</a></div>');
}

function ExportCreate()
{
  if(Licence(LICENCE_USER))
  {   
    echo('<form action="?Action=CreateFinish" method="post">'.
      '<fieldset><legend>Vytvoření nového exportu</legend>'.
      '<table><tr><td>Titulek:</td><td><input type="text" name="Title" /></td></tr>'.
      '<tr><td colspan="2"><input type="submit" value="Vytvořit" /></td></tr>'.
      '</table></fieldset></form>');
  } else echo('Nemáte oprávnění');
}

function ExportCreateFinish()
{
  global $Database;
  
  if(Licence(LICENCE_USER))
  {   
    if(array_key_exists('Title', $_POST))
    {
      $Database->SQLCommand('INSERT INTO `Export` (`Title`, `User`, `TimeCreate`) VALUES ("'.$_POST['Title'].'", '.$_SESSION['UserID'].', NOW())');
      $ExportId = mysql_insert_id();
      echo('Nový export vytvořen.<br/>Přímý odkaz na tento export: <a href="?Action=View&amp;ExportId='.$ExportId.'">zde</a><br/><br/>');
      $_GET['Filter'] = 'my';
      ExportList();
    } else echo('Chybí údaje formuláře');
  } else echo('Nemáte oprávnění');
}

function ExportDelete()
{
  global $Database;
  
  if(Licence(LICENCE_USER))
  {   
    if(array_key_exists('ExportId', $_GET))
    {
      $DbResult = $Database->SQLCommand('SELECT * FROM Export WHERE Id='.$_GET['ExportId'].' AND User='.$_SESSION['UserID']);
      if(mysql_num_rows($DbResult) > 0)
      {
        $Database->SQLCommand('DELETE FROM Export WHERE Id='.$_GET['ExportId']);
        echo('Export smazán.<br/><br/>');
        $_GET['Filter'] = 'my';
        ExportList();
      } else echo('Export '.$_GET['ExportId'].' nelze smazat.<br/>');
    } else echo('Nebylo zadáno Id');
  } else echo('Nemáte oprávnění');
}

function ExportViewTranslators()
{
  global $Database, $TranslationTree, $Config;

  $DisabledInput = array(false => ' disabled="disabled"', true => '');
  if(array_key_exists('ExportId', $_GET))
  {
    $DbRows = $Database->SQLCommand('SELECT * FROM Export WHERE Id='.$_GET['ExportId']);
    if(mysql_num_rows($DbRows) > 0)
    {    
      $Export = mysql_fetch_assoc($DbRows);
      if(Licence(LICENCE_USER) and ($_SESSION['UserID'] == $Export['User'])) $Editable = true; 
        else $Editable = false;
        
        
  if(array_key_exists('Operation', $_GET))
  {
    if($_GET['Operation'] == 'Save')
    {
      //print_r($_POST);
      // Update user selection page
      foreach($_POST as $Index => $Value)
      {
        if(substr($Index, 0, 3) == 'seq') 
        {
          $UserId = substr($Index, 3) * 1;
          if(array_key_exists('sel'.$UserId, $_POST)) $Selected = true; 
            else $Selected = false;
          $Condition = ' WHERE Export='.$_GET['ExportId'].' AND User='.$UserId;
          $DbResult = $Database->SQLCommand('SELECT * FROM ExportUser '.$Condition);
          if(mysql_num_rows($DbResult) > 0)
          {
            if(!$Selected) $Database->SQLCommand('DELETE FROM ExportUser '.$Condition);
              else $Database->SQLCommand('UPDATE ExportUser SET Sequence='.$Value.$Condition);
          } else
          {
            if($Selected) $Database->SQLCommand('INSERT INTO ExportUser (Export, User, Sequence) VALUES ('.$_GET['ExportId'].', '.$UserId.', '.$Value.')');
          }         
        }
      }
      
      // Recalculate sequence number
      $Database->SQLCommand('SET @I = 0');
      $Database->SQLCommand('UPDATE ExportUser SET Sequence = (@I := @I + 1) WHERE Export='.$_GET['ExportId'].' ORDER BY Sequence;');
    }
  }

  $Columns = '';
  $Joins = '';
  foreach($TranslationTree as $Group)
    if($Group['TablePrefix'] != '')
    {
      $Columns .= 'COALESCE(T'.$Group['Id'].'.Count, 0) + ';
      $Joins .= ' LEFT JOIN (SELECT User, COUNT(User) as Count FROM `'.$Group['TablePrefix'].'` WHERE (Complete = 1) AND (Language <> 0) GROUP BY User) as T'.$Group['Id'].' ON user.ID=T'.$Group['Id'].'.User';
    }
  $Query = 'SELECT (@I := @I + 1) AS Sequence2, ExportUser.Sequence, T.ID, T.TranslatedCount, T.user, T.XP FROM (SELECT user.ID, user.user, user.XP, ('.substr($Columns, 0, -3).') as TranslatedCount FROM `user`'.$Joins.') AS T';
  $Query .=' LEFT JOIN ExportUser ON ExportUser.Export = '.$_GET['ExportId'].' AND ExportUser.User=T.ID';
  $Query .=' WHERE T.TranslatedCount > 0 ORDER BY COALESCE(Sequence, 100)';

  $DbResult = $Database->SQLCommand('SELECT COUNT(*) FROM ('.$Query.') AS X');
  $DbRow = mysql_fetch_row($DbResult);
  $PageList = GetPageList($DbRow[0]);    
  
  $TableColumns = array(
    array('Name' => 'user', 'Title' => 'Jméno'), 
    array('Name' => 'TranslatedCount', 'Title' => 'Překladů'), 
    array('Name' => 'XP', 'Title' => 'Úroveň'), 
    array('Name' => '', 'Title' => 'Výběr'), 
    array('Name' => 'Sequence2', 'Title' => 'Pořadí'), 
  );  
  $Order = GetOrderTableHeader($TableColumns, 'TranslatedCount', 1);
  echo('<form action="?Action=View&amp;ExportId='.$_GET['ExportId'].'&amp;Operation=Save" method="post">');
  echo('<h3>Překladatelé</h3>');
  echo('<input type="submit" value="Uložit" '.$DisabledInput[$Editable].'/><br />'.
   'Zvolte ze seznamu uživatele, od kterých chcete načítat překlady a upravte jejich pořadí.<br />'.
    'Pořadí řádků je dáno číselnou hodnotou, kterou lze změnit na požadované pořadí. Řádky se stejným pořadovým číslem budou přečíslovány vzestupně.');

  echo($PageList['Output']);
  echo('<table class="BaseTable">');
  echo($Order['Output']);

  $Query = 'SELECT * FROM ('.$Query.') AS TX '.$Order['SQL'].$PageList['SQLLimit'];
  $Database->SQLCommand('SET @I = 0');
  $DbResult = $Database->SQLCommand($Query);
  while($User = mysql_fetch_assoc($DbResult))
  {
    $Checked = $User['Sequence'] != '';
    $Selection = CheckBox('sel'.$User['ID'], $Checked, '', 'CheckBox', !$Editable);
    $Sequence = '<input type="text" name="seq'.$User['ID'].'" style="text-align: center; width: 40px;" value="'.$User['Sequence2'].'"'.$DisabledInput[$Editable].'/>';
    echo('<tr>
    <td><a href="'.$Config['Web']['BaseURL'].'/TranslationList.php?user='.$User['ID'].'&amp;action=userall" title="Zobrazit všechny jeho přeložené texty">'.$User['user'].'</a></td>
    <td>'.$User['TranslatedCount'].'</td>
      <td><img src="'.$Config['Web']['TempFolder'].$User['user'].'/level.png" alt="Úroveň uživatele" /></td>
    <td>'.$Selection.'</td><td>'.$Sequence.'</td></tr>');
  }
  echo('</table>');
  echo('</form>');
  echo($PageList['Output']);
    } else echo('Položka nenalezena');
  } else echo('Nebylo zadáno Id');
}

function ExportViewGeneral()
{
  global $Database;
  
  $DisabledInput = array(false => ' disabled="disabled"', true => '');
  $DisabledTextArea = array(false => ' readonly="yes"', true => '');
  echo('<h3>Obecná nastavení</h3>');
  if(array_key_exists('ExportId', $_GET))
  {
    $DbRows = $Database->SQLCommand('SELECT * FROM `Export` WHERE `Id`='.$_GET['ExportId']);
    if(mysql_num_rows($DbRows) > 0)
    {    
      $Export = mysql_fetch_assoc($DbRows);
      if(Licence(LICENCE_USER) and ($_SESSION['UserID'] == $Export['User'])) $Editable = true; 
        else $Editable = false;
      if($Editable and array_key_exists('Title', $_POST) and array_key_exists('Description', $_POST))
      {
        if(array_key_exists('WithDiacritic', $_POST)) $WithDiacritic = 1; 
          else $WithDiacritic = 0;
        $Database->SQLCommand('UPDATE `Export` SET `Title`="'.$_POST['Title'].'", `Description`="'.$_POST['Description'].'", `WithDiacritic`='.$WithDiacritic.' WHERE Id='.$Export['Id']);
        $Export['Title'] = $_POST['Title'];
        $Export['Description'] = $_POST['Description'];
        $Export['WithDiacritic'] = $WithDiacritic;
      }
      
      if($Export['WithDiacritic'] == 1) $WithDiacritic = ' checked="checked"'; else $WithDiacritic = '';
      echo('<form action="?Action=View&amp;Tab=0&amp;ExportId='.$Export['Id'].'" method="post">'.
        '<table>'.
        '<tr><td colspan="2"><input type="submit" value="Uložit" '.$DisabledInput[$Editable].'/></td></tr>'.
'<tr><td>Označení:</td><td><input type="text" style="width: 400px" name="Title" value="'.$Export['Title'].'"'.$DisabledInput[$Editable].'/></td></tr>'.
        '<tr><td>Popis:</td><td><textarea name="Description" cols="54" rows="10"'.$DisabledTextArea[$Editable].'>'.$Export['Description'].'</textarea></td></tr>'.
        '<tr><td>Včetně háčků a čárek</td><td><input type="checkbox" name="WithDiacritic" '.$WithDiacritic.''.$DisabledInput[$Editable].'/></td></tr>'.
      '</table></fieldset></form>');
    } else echo('Položka nenalezena');
  } else echo('Nebylo zadáno Id');
}

function ExportViewLanguages()
{
  global $Database, $TranslationTree, $Config;

  $DisabledInput = array(false => ' disabled="disabled"', true => '');
  if(array_key_exists('ExportId', $_GET))
  {
    $DbRows = $Database->SQLCommand('SELECT * FROM Export WHERE Id='.$_GET['ExportId']);
    if(mysql_num_rows($DbRows) > 0)
    {    
      $Export = mysql_fetch_assoc($DbRows);
      if(Licence(LICENCE_USER) and ($_SESSION['UserID'] == $Export['User'])) $Editable = true; 
        else $Editable = false;
        
  if(array_key_exists('Operation', $_GET))
  {
    if($_GET['Operation'] == 'Save')
    {
      //print_r($_POST);
      // Update user selection page
      foreach($_POST as $Index => $Value)
      {
        if(substr($Index, 0, 3) == 'seq') 
        {
          $LanguageId = substr($Index, 3) * 1;
          if(array_key_exists('sel'.$LanguageId, $_POST)) $Selected = true; 
            else $Selected = false;
          $Condition = ' WHERE Export='.$_GET['ExportId'].' AND Language='.$LanguageId;
          $DbResult = $Database->SQLCommand('SELECT * FROM ExportLanguage '.$Condition);
          if(mysql_num_rows($DbResult) > 0)
          {
            if(!$Selected) $Database->SQLCommand('DELETE FROM ExportLanguage '.$Condition);
              else $Database->SQLCommand('UPDATE ExportLanguage SET Sequence='.$Value.$Condition);
          } else
          {
            if($Selected) $Database->SQLCommand('INSERT INTO ExportLanguage (Export, Language, Sequence) VALUES ('.$_GET['ExportId'].', '.$LanguageId.', '.$Value.')');
          }         
        }
      }
      
      // Recalculate sequence number
      $Database->SQLCommand('SET @I = 0');
      $Database->SQLCommand('UPDATE ExportLanguage SET Sequence = (@I := @I + 1) WHERE Export='.$_GET['ExportId'].' ORDER BY Sequence;');
    }
  }

  $Query = 'SELECT (@I := @I + 1) AS Sequence2, Sequence, language.Id, Name FROM language';
  $Query .=' LEFT JOIN ExportLanguage ON ExportLanguage.Export = '.$_GET['ExportId'].' AND ExportLanguage.Language=language.Id';
  $Query .=' WHERE language.Enabled = 1 ORDER BY COALESCE(Sequence, 100)';

  $DbResult = $Database->SQLCommand('SELECT COUNT(*) FROM ('.$Query.') AS X');
  $DbRow = mysql_fetch_row($DbResult);
  $PageList = GetPageList($DbRow[0]);    
  
  $TableColumns = array(
    array('Name' => 'Name', 'Title' => 'Název'), 
    array('Name' => '', 'Title' => 'Výběr'), 
    array('Name' => 'Sequence2', 'Title' => 'Pořadí'), 
  );  
  $Order = GetOrderTableHeader($TableColumns, 'Name');
  echo('<form action="?Action=View&amp;ExportId='.$_GET['ExportId'].'&amp;Operation=Save" method="post">');
  echo('<h3>Jazyky</h3>');
  echo('<input type="submit" value="Uložit" '.$DisabledInput[$Editable].'/><br />'.
   'Zvolte ze seznamu dostupných jazyků, ze kterých chcete sestavit překlady a upravte jejich pořadí.<br />'.
    'Pořadí řádků je dáno číselnou hodnotou, kterou lze změnit na požadované pořadí. Řádky se stejným pořadovým číslem budou přečíslovány vzestupně.');

  echo($PageList['Output']);
  echo('<table class="BaseTable">');
  echo($Order['Output']);

  $Query = 'SELECT * FROM ('.$Query.') AS TX '.$Order['SQL'].$PageList['SQLLimit'];
  $Database->SQLCommand('SET @I = 0');
  $DbResult = $Database->SQLCommand($Query);
  while($Langugage = mysql_fetch_assoc($DbResult))
  {
    $Checked = $Langugage['Sequence'] != '';
    $Selection = CheckBox('sel'.$Langugage['Id'], $Checked, '', 'CheckBox', !$Editable);
    $Sequence = '<input type="text" name="seq'.$Langugage['Id'].'" style="text-align: center; width: 40px;" value="'.$Langugage['Sequence2'].'"'.$DisabledInput[$Editable].'/>';
    echo('<tr>
    <td>'.$Langugage['Name'].'</a></td>
    <td>'.$Selection.'</td><td>'.$Sequence.'</td></tr>');
  }
  echo('</table>');
  echo('</form>');
  echo($PageList['Output']);
    } else echo('Položka nenalezena');
  } else echo('Nebylo zadáno Id');
}

function ExportViewGroups()
{
  global $Database, $TranslationTree, $Config;

  $DisabledInput = array(false => ' disabled="disabled"', true => '');
  if(array_key_exists('ExportId', $_GET))
  {
    $DbRows = $Database->SQLCommand('SELECT * FROM Export WHERE Id='.$_GET['ExportId']);
    if(mysql_num_rows($DbRows) > 0)
    {    
      $Export = mysql_fetch_assoc($DbRows);
      if(Licence(LICENCE_USER) and ($_SESSION['UserID'] == $Export['User'])) $Editable = true; 
        else $Editable = false;
        
  if(array_key_exists('Operation', $_GET))
  {
    if($_GET['Operation'] == 'Save')
    {
      //print_r($_POST);
      // Update user selection page
      foreach($_POST as $Index => $Value)
      {
        if(substr($Index, 0, 3) == 'seq') 
        {
          $GroupId = substr($Index, 3) * 1;
          if(array_key_exists('sel'.$GroupId, $_POST)) $Selected = true; 
            else $Selected = false;
          $Condition = ' WHERE `Export`='.$_GET['ExportId'].' AND `Group`='.$GroupId;
          $DbResult = $Database->SQLCommand('SELECT * FROM `ExportGroup` '.$Condition);
          if(mysql_num_rows($DbResult) > 0)
          {
            if(!$Selected) $Database->SQLCommand('DELETE FROM `ExportGroup` '.$Condition);
          } else
          {
            if($Selected) $Database->SQLCommand('INSERT INTO `ExportGroup` (`Export`, `Group`) VALUES ('.$_GET['ExportId'].', '.$GroupId.')');
          }         
        }
      }
    }
  }

  $Query = 'SELECT `group`.*, `ExportGroup`.`Id` AS `ExportGroupId` FROM `group` LEFT JOIN `ExportGroup` ON `ExportGroup`.`Export`='.$_GET['ExportId'].' AND `Group`=`group`.`Id`';

  $DbResult = $Database->SQLCommand('SELECT COUNT(*) FROM ('.$Query.') AS X');
  $DbRow = mysql_fetch_row($DbResult);
  $PageList = GetPageList($DbRow[0]);    
  
  $TableColumns = array(
    array('Name' => 'Name', 'Title' => 'Jméno'), 
    array('Name' => 'MangosTable', 'Title' => 'Tabulka MaNGOSu'), 
    array('Name' => 'DBCFileName', 'Title' => 'DBC soubor'), 
    array('Name' => 'LuaFileName', 'Title' => 'Lua soubor'), 
    array('Name' => '', 'Title' => 'Výběr'), 
  );  
  $Order = GetOrderTableHeader($TableColumns, 'Name');
  echo('<form action="?Action=View&amp;ExportId='.$_GET['ExportId'].'&amp;Operation=Save" method="post">');
  echo('<h3>Překladové skupiny</h3>');
  echo('<input type="submit" value="Uložit" '.$DisabledInput[$Editable].'/><br />'.
   'Zvolte ze překladových skupin, ze kterých chcete načítat překlady.<br />');

  echo($PageList['Output']);
  echo('<table class="BaseTable">');
  echo($Order['Output']);

  $Query = 'SELECT * FROM ('.$Query.') AS TX '.$Order['SQL'].$PageList['SQLLimit'];
  $DbResult = $Database->SQLCommand($Query);
  while($Group = mysql_fetch_assoc($DbResult))
  {
    $Checked = $Group['ExportGroupId'] != '';
    $Selection = CheckBox('sel'.$Group['Id'], $Checked, '', 'CheckBox', !$Editable);
    echo('<tr>'.
    '<td>'.$Group['Name'].'</td>'.
    '<td>'.$Group['MangosTable'].'</td>'.
    '<td>'.$Group['DBCFileName'].'</td>'.
    '<td>'.$Group['LuaFileName'].'</td>'.
    '<td>'.$Selection.'<input type="hidden" name="seq'.$Group['Id'].'"/></td></tr>');
  }
  echo('</table>');
  echo('</form>');
  echo($PageList['Output']);
    } else echo('Položka nenalezena');
  } else echo('Nebylo zadáno Id');
}

function ExportViewOutputFormat()
{
  global $Database;
  
  $DisabledInput = array(false => ' disabled="disabled"', true => '');
  if(array_key_exists('ExportId', $_GET))
  {
    $DbRows = $Database->SQLCommand('SELECT * FROM Export WHERE Id='.$_GET['ExportId']);
    if(mysql_num_rows($DbRows) > 0)
    {    
      $Export = mysql_fetch_assoc($DbRows);
      if(Licence(LICENCE_USER) and ($_SESSION['UserID'] == $Export['User'])) $Editable = true; 
        else $Editable = false;
  
  if(array_key_exists('OutputType', $_POST))
  {
    $Database->SQLCommand('UPDATE Export SET OutputType='.$_POST['OutputType'].' WHERE Id='.$_GET['ExportId']);
  }

  $DbResult = $Database->SQLCommand('SELECT * FROM Export WHERE Id='.$_GET['ExportId']);
  $Export = mysql_fetch_assoc($DbResult);
  
  echo('<h3>Formát generovaného výstupu</h3>');
  echo('<form action="?Action=View&amp;ExportId='.$_GET['ExportId'].'&amp;Operation=Save" method="post">');
  echo('<input type="submit" value="Uložit" '.$DisabledInput[$Editable].'/><br/>');
  $DbResult = $Database->SQLCommand('SELECT * FROM ExportOutputType ORDER BY Name');
  while($ExportFormat = mysql_fetch_assoc($DbResult))
  {
    echo(RadioButton('OutputType', $ExportFormat['Id'], $Export['OutputType'] == $ExportFormat['Id'], '', !$Editable).' '.$ExportFormat['Name'].'<br/>');
  }
  echo('</form>');
    } else echo('Položka nenalezena');
  } else echo('Nebylo zadáno Id');
}

function ExportViewVersion()
{
  global $Database, $Config;

  $DisabledInput = array(false => ' disabled="disabled"', true => '');
  if(array_key_exists('ExportId', $_GET))
  {
    $DbRows = $Database->SQLCommand('SELECT * FROM Export WHERE Id='.$_GET['ExportId']);
    if(mysql_num_rows($DbRows) > 0)
    {    
      $Export = mysql_fetch_assoc($DbRows);
      if(Licence(LICENCE_USER) and ($_SESSION['UserID'] == $Export['User'])) $Editable = true; 
        else $Editable = false;
        
  if(array_key_exists('ClientVersion', $_POST))
  {
    $Database->SQLCommand('UPDATE Export SET ClientVersion='.$_POST['ClientVersion'].' WHERE Id='.$_GET['ExportId']);
  }

  $DbResult = $Database->SQLCommand('SELECT * FROM Export WHERE Id='.$_GET['ExportId']);
  $Export = mysql_fetch_assoc($DbResult);

  $Query = 'SELECT wow_client_version.* FROM ExportVersion LEFT JOIN wow_client_version ON wow_client_version.Id=ExportVersion.ClientVersion WHERE ExportType='.$Export['OutputType'];

  $DbResult = $Database->SQLCommand('SELECT COUNT(*) FROM ('.$Query.') AS X');
  $DbRow = mysql_fetch_row($DbResult);
  $PageList = GetPageList($DbRow[0]);    
  
  $TableColumns = array(
    array('Name' => 'Version', 'Title' => 'Verze'), 
    array('Name' => 'BuildNumber', 'Title' => 'Sestavení'), 
    array('Name' => 'ReleaseDate', 'Title' => 'Datum uvolnění'), 
    array('Name' => 'Title', 'Title' => 'Titutek'), 
    array('Name' => '', 'Title' => 'Výběr'),
  );
  $Order = GetOrderTableHeader($TableColumns, 'BuildNumber', 1);
  echo('<form action="?Action=View&amp;ExportId='.$_GET['ExportId'].'" method="post">');
  echo('<h3>Verze klienta</h3>');

  echo('<input type="submit" value="Uložit" '.$DisabledInput[$Editable].'/><br />
   Vyberte pro jakou verzi herního klienta se budou texty exportovat.<br />');
  echo($PageList['Output']);
  echo('<table class="BaseTable">');
  echo($Order['Output']);

  $Query = 'SELECT * FROM ('.$Query.') AS TX '.$Order['SQL'].$PageList['SQLLimit'];
  $DbResult = $Database->SQLCommand($Query);
  while($Version = mysql_fetch_assoc($DbResult))
  {
    echo('<tr><td><a href="http://www.wowwiki.com/Patch_'.$Version['Version'].'">'.$Version['Version'].'</a></td><td>'.$Version['BuildNumber'].'</td><td>'.HumanDate($Version['ReleaseDate']).'</td><td>'.$Version['Title'].'</td><td>'.RadioButton('ClientVersion', $Version['Id'], $Export['ClientVersion'] == $Version['Id'], '', !$Editable
    ).'</td></tr>');

  }
  echo('</table>');
  echo('</form>');
  echo($PageList['Output']);
    } else echo('Položka nenalezena');
  } else echo('Nebylo zadáno Id');
}

function ExportViewOutput()
{
  global $Database;
  
  $DbResult = $Database->SQLCommand('SELECT * FROM Export WHERE Id='.$_GET['ExportId']);
  $Export = mysql_fetch_assoc($DbResult);
  $DbResult = $Database->SQLCommand('SELECT * FROM ExportOutputType WHERE Id='.$Export['OutputType']);
  if(mysql_num_rows($DbResult) > 0)
  {
    $DbResult = $Database->SQLCommand('SELECT * FROM ExportVersion WHERE ExportType='.$Export[ 'OutputType'].' AND ClientVersion='.$Export['ClientVersion']);
    if(mysql_num_rows($DbResult) > 0)
    {  
      $Database->SQLCommand('UPDATE Export SET UsedCount = UsedCount + 1 WHERE Id='.$Export['Id']);
      ExportOutput($Export['Id'], $Export['OutputType']);
    } else echo('Nebyla vybrána požadovaná verze klienta');
  } else echo('Nebyl vybrán formát výstupu.');
}

function ExportView()
{
  global $Database;

  $DbResult = $Database->SQLCommand('SELECT * FROM Export WHERE Id='.$_GET['ExportId']);
  $Export = mysql_fetch_assoc($DbResult);
  $DbResult = $Database->SQLCommand('SELECT * FROM user WHERE ID='.$Export['User']);
  $User = mysql_fetch_assoc($DbResult);
  echo('Export <strong><a href="?Action=View&amp;Tab=6&amp;ExportId='.$Export['Id'].'">'.$_GET['ExportId'].'</a></strong> překladatele <strong>'.$User['user'].'</strong> s označením <strong>'.$Export['Title'].'</strong>');
  ShowTabs(array('Obecné', 'Překladatelé', 'Překlady', 'Jazyky', 'Formát', 'Verze', 'Výstup'));
  echo('<div id="content">');
  if($_SESSION['Tab'] == 0) ExportViewGeneral();
  else if($_SESSION['Tab'] == 1) ExportViewTranslators();
  else if($_SESSION['Tab'] == 2) ExportViewGroups();
  else if($_SESSION['Tab'] == 3) ExportViewLanguages();
  else if($_SESSION['Tab'] == 4) ExportViewOutputFormat();
  else if($_SESSION['Tab'] == 5) ExportViewVersion();
  else if($_SESSION['Tab'] == 6) ExportViewOutput();
  
  echo('</div>');
}

ShowPage();

if(array_key_exists('Action', $_GET))
{
  if($_GET['Action'] == 'Create') ExportCreate();
  else if($_GET['Action'] == 'CreateFinish') ExportCreateFinish();
  else if($_GET['Action'] == 'View') ExportView();
  else if($_GET['Action'] == 'Delete') ExportDelete();
  else ExportList();
} else ExportList();

ShowFooter();

?>
